Skip to main content
PATCH
/
v1
/
me
Account Update Details
curl --request PATCH \
  --url https://api.example.com/v1/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "country": "<string>",
  "email": "<string>",
  "is_business_account": true,
  "company": "<string>",
  "website": "<string>",
  "title": "<string>",
  "display_name": "<string>",
  "use_case": "<string>",
  "attribution": "<string>"
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Body

application/json
name
string | null

Personal name

Required string length: 1 - 256
first_name
string | null

First name of the user

Required string length: 1 - 128
last_name
string | null

Last name of the user

Required string length: 1 - 128
country
string | null

Country of the user

Required string length: 1 - 128
email
string | null
Required string length: 1 - 320
is_business_account
boolean | null
company
string | null

Company name

Required string length: 1 - 128
website
string | null

Company website address

Maximum string length: 128
title
string | null

Job title of the user, e.g. 'Software Engineer'

Required string length: 1 - 128
display_name
string | null

String with length between 1 and 39 characters. Only alphanumeric characters and dashes allowed. Must contain no leading, trailing or consecutive dashes.

Required string length: 1 - 39
Pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*$
use_case
string | null

Short description of the use case for the account

Required string length: 1 - 512
attribution
string | null

Short description of how the user found out about DeepInfra

Required string length: 1 - 512

Response

Successful Response